accept_my_invitation
POST
/v1/me/invitations/{public_id}/accept
const url = 'https://app.everruns.com/api/v1/me/invitations/example/accept';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.everruns.com/api/v1/me/invitations/example/acceptAccept an actionable organization invitation addressed to the authenticated user’s verified email.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”public_id
required
string
Public invitation ID
Responses
Section titled “Responses”Invitation accepted
Media typeapplication/json
Accept response: where the caller now has membership.
object
org_id
required
string
role
required
string
Examplegenerated
{ "org_id": "example", "role": "example"}Unauthorized
Email is unverified
Invitation not found
Invitation is revoked, accepted, or no longer actionable
Invitation expired